Bug 590807 - libvirt: getvcpu errors logged to /var/log/messages when virt-manager starts
libvirt: getvcpu errors logged to /var/log/messages when virt-manager starts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks: 743047
  Show dependency treegraph
 
Reported: 2010-05-10 14:13 EDT by Evan McNabb
Modified: 2011-12-06 05:43 EST (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.9.4-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 05:43:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evan McNabb 2010-05-10 14:13:38 EDT
Description of problem:
When virt-manager starts the following is logged in /var/log/messages, one for each inactive domain:

May 10 13:52:27 thor libvirtd: 13:52:27.441: error : qemudDomainGetVcpus:5634 : Requested operation is not valid: cannot list vcpu pinning for an inactive domain
May 10 13:52:27 thor libvirtd: 13:52:27.445: error : qemudDomainGetVcpus:5634 : Requested operation is not valid: cannot list vcpu pinning for an inactive domain
May 10 13:52:27 thor libvirtd: 13:52:27.447: error : qemudDomainGetVcpus:5634 : Requested operation is not valid: cannot list vcpu pinning for an inactive domain

Version-Release number of selected component (if applicable):
libvirt-0.8.1-1.el6.x86_64
virt-manager-0.8.4-1.el6.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Start virt-manager with a VM shut down
2.
3.
  
Actual results:

Expected results:
No error message as this could cause confusion confusion.

Additional info:
Comment 1 RHEL Product and Program Management 2010-05-10 15:13:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Cole Robinson 2010-05-10 15:50:18 EDT
virt-manager is trying the GetVcpus command to see if it is actually supported for each VM. We could probably only run this for a single VM and extrapolate from there, but it wouldn't eliminate the logging completely.

There are several other times that virt-manager will make an API call that we expect to fail (like domain name lookup to check for name collision), which will log an error. Libvirt doesn't really know if these errors are 'expected' or not, so will log them all the same. Short of turning off API error logging, not really sure how we could resolve this.
Comment 4 Cole Robinson 2010-05-10 16:57:25 EDT
We can certainly change virt-manager in this case to make libvirtd shut up, but any libvirt API user shouldn't really have to consider its API usage based on how libvirtd chooses to log info. I don't really see the benefit of logging to /var/log/messages if the error is from a public API call, it should be up to the app to report or ignore. How we make that determination at the libvirt level isn't clear though.
Comment 5 Daniel Berrange 2010-05-11 06:58:07 EDT

*** This bug has been marked as a duplicate of bug 587603 ***
Comment 6 Mark Wu 2011-05-24 04:17:24 EDT
Hi Daniel,
I reopen it since INVALID_OPERATION error was not filtered by the final patch in bz587603. FJ hope this message not go to system log. So could you please put "INVALID_OPERATION" into the filters?

Thanks
Mark
Comment 7 RHEL Product and Program Management 2011-05-24 04:28:21 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Red Hat Enterprise Linux. Unfortunately, we
are unable to address this request in the current release. Because we
are in the final stage of Red Hat Enterprise Linux 6 development, only
significant, release-blocking issues involving serious regressions and
data corruption can be considered.

If you believe this issue meets the release blocking criteria as
defined and communicated to you by your Red Hat Support representative,
please ask your representative to file this issue as a blocker for the
current release. Otherwise, ask that it be evaluated for inclusion in
the next minor release of Red Hat Enterprise Linux.
Comment 9 Daniel Veillard 2011-09-13 06:28:19 EDT
One line patch posted and commited upstream:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=7f2498efe45505135ed75c6548c21a89674cb6ba

asking for exception, this is trivial, and risk free

Daniel
Comment 12 yanbing du 2011-09-21 03:08:47 EDT
Test with libvirt-0.9.4-12.el6.x86_64 and virt-manager-0.9.0-6.el6.x86_64.
There's no such error messages logged in /var/log/messages. So move to VERIFIED.
Comment 13 errata-xmlrpc 2011-12-06 05:43:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1513.html

Note You need to log in before you can comment on or make changes to this bug.